/************************************************************************************\
 * -> Misk utils                                                                    *
 *                                                                                  *
 * Copyright(c) 2006 Dan Kruchinin (aka asgard)                                     *
 *                                                                                  *
 *                                                                                  *
 * This program is free software; you can redistribute it and/or                    *
 * modify it under the terms of the GNU General Public License                      *
 * as published by the Free Software Foundation; either version 2                   *
 * of the License, or (at your option) any later version.                           *
 *                                                                                  *
 * This program is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 * GNU General Public License for more details.                                     * 
 *                                                                                  *
 * You should have received a copy of the GNU General Public License                *
 * along with this program; if not, write to the Free Software                      *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.  *
\************************************************************************************/



#include <klib/klib.h>
#include <arch/types.h>

bool isdigit(const uchar c)
{
  if((c >= '0') && (c <= '9'))
	return true;

  return false;
}

bool isxdigit(const uchar c)
{
  if(isdigit(c))
	return true;
  if(((c >= 'a') && (c <= 'f')) || ((c >= 'A') && (c <= 'F')))
	return true;

  return false;
}

int char2int(const uchar c)
{
  return (int)(c - '0');
}
