/************************************************************************************\
 * Copyright(c) 2006 Dan Kruchinin (aka asgard)                                     *
 *                                                                                  *
 *                                                                                  *
 * This program is free software; you can redistribute it and/or                    *
 * modify it under the terms of the GNU General Public License                      *
 * as published by the Free Software Foundation; either version 2                   *
 * of the License, or (at your option) any later version.                           *
 *                                                                                  *
 * This program is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 * GNU General Public License for more details.                                     * 
 *                                                                                  *
 * You should have received a copy of the GNU General Public License                *
 * along with this program; if not, write to the Free Software                      *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.  *
\************************************************************************************/


#ifndef __MM_H__
#define __MM_H__

#include <arch/types.h>

typedef struct mmap {
  ulong size;           /* size of associated structure in bytes */
  ulong base_addr_low;  /* lower 32 bits of starting address */
  ulong base_addr_high; /* upper 32 bits of starting address */
  ulong length_low;     /* lower 32 bits of the size the memory region in bytes */
  ulong length_high;    /* upper 32 bits of the size the memory region in bytes */
  ulong type;           /* type = 1 => RAM; type = other_than_1 => reserved area */
} mmap;

#endif /* __MM_H__ */
