/************************************************************************************\
 * Copyright(c) 2006 Dan Kruchinin (aka asgard)                                     *
 *                                                                                  *
 *                                                                                  *
 * This program is free software; you can redistribute it and/or                    *
 * modify it under the terms of the GNU General Public License                      *
 * as published by the Free Software Foundation; either version 2                   *
 * of the License, or (at your option) any later version.                           *
 *                                                                                  *
 * This program is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 * GNU General Public License for more details.                                     * 
 *                                                                                  *
 * You should have received a copy of the GNU General Public License                *
 * along with this program; if not, write to the Free Software                      *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.  *
\************************************************************************************/


#ifndef __ARCH_TYPES_H__
#define __ARCH_TYPES_H__

#ifndef __ASM__

/* signed and unsigned 8 bits int */
typedef signed char int8_t;
typedef unsigned char uint8_t;

/* signed and unsigned 16 bits int */
typedef signed short int16_t;
typedef unsigned short uint16_t;

/* signed and unsigned 32 bits int */
typedef signed int int32_t;
typedef unsigned int uint32_t;

/* signed and unsigned 64 bits int */
typedef signed long long int64_t;
typedef unsigned long long uint64_t;

#endif /* __ASM__ */
#endif /* __ARCH_TYPES_H__ */
