/************************************************************************************\
 * Copyright(c) 2006 Dan Kruchinin (aka asgard)                                     *
 *                                                                                  *
 *                                                                                  *
 * This program is free software; you can redistribute it and/or                    *
 * modify it under the terms of the GNU General Public License                      *
 * as published by the Free Software Foundation; either version 2                   *
 * of the License, or (at your option) any later version.                           *
 *                                                                                  *
 * This program is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 * GNU General Public License for more details.                                     * 
 *                                                                                  *
 * You should have received a copy of the GNU General Public License                *
 * along with this program; if not, write to the Free Software                      *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.  *
\************************************************************************************/


#include <klib/kio.h>
#include <arch/page.h>
#include <video/kconsole.h>
#include <video/vga.h>
#include <video/vga.h>
#include <arch/cpu.h>
#include <arch/string.h>
#include <arch/types.h>
#include <boot/boot.h>

kconsole _kcons;
//mb_info* _mi;

void kernel_init()
{
  int i;
  
  init_cpu_vectors();
  _kcons.enable();
					
  _kcons.display_string("ERROR: this is error");
  _kcons.display_char('\n');
  _kcons.display_char('\n');
  _kcons.display_string("WARNING: this is warning\n");
  kfprintf(KOS_WARNING, "\ntest %% test %%d test a%%4ca\n", 4, 'Y');
  setup_arch();

  for (;;);
}

